> ## Documentation Index
> Fetch the complete documentation index at: https://docs.corebanq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update credential

> Update existing credential



## OpenAPI

````yaml put /v1/users/credentials/{cred_id}
openapi: 3.0.0
info:
  title: Users API
  version: 1.0.0
  description: API for user management and authentication
servers: []
security:
  - bearerAuth: []
tags:
  - name: Registration
    description: User registration operations
  - name: Users
    description: User management operations
  - name: Credentials
    description: Credential management operations
  - name: Password
    description: Password management operations
paths:
  /v1/users/credentials/{cred_id}:
    put:
      tags:
        - Credentials
      summary: Update credential
      description: Update existing credential
      parameters:
        - name: cred_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: a10227ca-488f-4c07-a769-a7425e5ace2f
      responses:
        '200':
          description: Credential updated successfully
          content:
            application/json:
              schema:
                $ref: 8a602a44-25f9-4390-aa3c-d341ccec611b
        '404':
          $ref: '#/components/responses/NotFoundError'
components:
  responses:
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            code: users.user_not_found
            message: User not found
  schemas:
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````